summaryrefslogtreecommitdiffstats
path: root/cpukit/doxy-filter
diff options
context:
space:
mode:
authorRalf Corsepius <ralf.corsepius@rtems.org>2010-06-11 19:36:36 +0000
committerRalf Corsepius <ralf.corsepius@rtems.org>2010-06-11 19:36:36 +0000
commitcd8009eff9d74cf7a6796aaad9aa4ce3b03c5107 (patch)
treeb6c2b166ecfb07d1e8fcd7b902aafeced595f57c /cpukit/doxy-filter
parent2010-06-11 Ralf Corsépius <ralf.corsepius@rtems.org> (diff)
downloadrtems-cd8009eff9d74cf7a6796aaad9aa4ce3b03c5107.tar.bz2
New (Copy of ../tools/build/doxy-filter).
Diffstat (limited to 'cpukit/doxy-filter')
-rwxr-xr-xcpukit/doxy-filter21
1 files changed, 21 insertions, 0 deletions
diff --git a/cpukit/doxy-filter b/cpukit/doxy-filter
new file mode 100755
index 0000000000..1d47b0806d
--- /dev/null
+++ b/cpukit/doxy-filter
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+# doxygen input filter
+# $Id$
+
+# usage: doxy-filter <input-file-name>
+# Reads <input-file> and writes to stdout.
+
+file=$1
+
+# Does file contain a doxygen @file directive?
+if ! grep -q '@file' $file >/dev/null ; then
+# No, add one
+echo "/** @file $file */"
+cat $file
+else
+# Yes, adjust path to work around doxygen not being able to
+# distinguish file names properly
+exec sed -e "s,@file.*$,@file $file," $file
+fi
+